ETH_REBUILD_HEADER(9)

NAME
eth_rebuild_header - rebuild the Ethernet MAC header.

SYNOPSIS

int eth_rebuild_header(struct sk_buff * skb);

ARGUMENTS

skb
    socket buffer to update

DESCRIPTION

This is called after an ARP or IPV6 ndisc it's resolution on this sk_buff. We now let protocol (ARP) fill in the other fields.

This routine CANNOT use cached dst->neigh! Really, it is used only when dst->neigh is wrong.

COPYRIGHT